﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace PDK_Concert.Pages
{
    /// <summary>
    /// Логика взаимодействия для ConcertProgramPage.xaml
    /// </summary>
    public partial class ConcertProgramPage : Page
    {
        List<ConcertProgram> concertProgramList;
        Concert program;
        Numbers numbers;
        Logined logined;
        int ID;
        int index = 1;
        public ConcertProgramPage(int IDConcert, Logined logined)
        {
            InitializeComponent();
            this.ID = IDConcert;
            numberTitle.ItemsSource = Classes.DataBaseClass.connect.Numbers.Where(x => x.IDUser == logined.ID).ToList();
            numberTitle.DisplayMemberPath = "Title";
            concertProgramList = Classes.DataBaseClass.connect.ConcertProgram.Where(x => x.IDConcert == IDConcert).OrderBy(x=> x.IndexNumber).ToList();
            listNumber.ItemsSource = concertProgramList;
            program = Classes.DataBaseClass.connect.Concert.FirstOrDefault(x => x.IDConcert == IDConcert);
            DataContext = program;
            if (concertProgramList.Count == 0)
            {
                not.Visibility = Visibility.Visible;
                listNumber.Visibility = Visibility.Collapsed;
            }

            this.logined = logined;
        }

        private void addNumder_Click(object sender, RoutedEventArgs e)
        {
            /*while (index== )
            {
                index++;
            }*/
            numbers = Classes.DataBaseClass.connect.Numbers.FirstOrDefault(x => x.Title == numberTitle.Text);
            if (numberTitle.SelectedIndex != -1)
            {
                ConcertProgram concertProgram = new ConcertProgram()
                {
                    IDConcert = ID,
                    IDNumber = numbers.IDNumber,
                    IndexNumber = index
                };
                Classes.DataBaseClass.connect.ConcertProgram.Add(concertProgram);
                Classes.DataBaseClass.connect.SaveChanges();
                listNumber.ItemsSource = Classes.DataBaseClass.connect.ConcertProgram.Where(x => x.IDConcert == ID).OrderBy(x => x.IndexNumber).ToList();
                numberTitle.SelectedIndex = -1;
            }
            else
            {
                MessageBox.Show("Вы не выбрали номер","Ошибка", MessageBoxButton.OK, MessageBoxImage.Error);
            }
            
        }

        private void back_Click(object sender, RoutedEventArgs e)
        {
            Classes.FrameClass.menuFrame.Navigate(new CocertPage(logined));
        }

        private void TextBox_TextChanged(object sender, TextChangedEventArgs e)
        {
            ConcertProgram programID = listNumber.SelectedItem as ConcertProgram;
            //programID.IndexNumber = num;
            Classes.DataBaseClass.connect.SaveChanges();
            //listNumber.ItemsSource = Classes.DataBaseClass.connect.ConcertProgram.Where(x => x.IDConcert == ID).OrderBy(x => x.IndexNumber).ToList();
        }
    }
}
